Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.print
Class Vorschau

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      de.jsystems.framework.print.Vorschau

All Implemented Interfaces:
  Accessible, ActionListener, ChangeListener, EventListener, ImageObserver, MenuContainer, Serializable

public class Vorschau
extends JPanel
implements ActionListener, ChangeListener

Diese Klasse stellt ein Vorschau fuer druckbare Objekte dar. Aus der Vorschau kann auch direkt gedruckt werden bzw. es koennen die Druckparameter geaendert werden. Diese bezieht sich sowohl auf den ausgeaehlten Drucker als auch auf die Seitenformatierung. Dazu werden die Systemdialoge fuer die druckerverwaltung eingeblendet und entsprechend der Einstellungen dann die zu druckenden Objekte aktualisiert. Bei den zu druckenden Objekten muss es sich um Instanzen vom Typ `PrintObject` handeln. Diese Objekte werden in einer Instanz vom Typ `Book` zusammengefasst. Dieses Buch wird ueber die Methode `setBook(Book)` gesetzt. Aus dem Vorschaudialog koennen nun die Eigenschaften jeder einzelnen Seite veraendert werden wie z.B. die Ausrichtung der Seite.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected int` | `akt_seite` Die Seitenzahl der aktuell angezeigten Seite.
`protected int` | `anz_seiten` Die Anzahl Seiten im uebergebenen Buch.
`protected Book` | `book` Das von dieser Vorschau angezeigte Buch.
`protected PrintObject` | `printObject` Die zu druckende Seite aus dem Book-Objekt.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Vorschau()` Erzeugt eine neue Vorschau.

Method Summary
`void` | `actionPerformed(ActionEvent ae)` Wird aufgerufen wenn einer der Buttons aus der Navigationsleiste aufgerufen wird.
`protected void` | `aktualisiereSeite()` Bringt die aktuelle Seite in die Ansicht der Vorschau.
`protected void` | `initBook()` Holt die erste Seite aus dem Buch heraus und packt sie in die ScrollPane der Vorschau.
`protected void` | `initGui()` Legt die Oberflaeche fuer die Vorschau an.
`void` | `setBook(Book book)` Setzt das Buch, dessen Inhalt durch die Vorschau angezeigt werden soll.
`protected void` | `showPageLayoutDialog()` Zeigt den Druckerdialog für die Seiteneigenschaften an und ändert die Einstellungen für die aktuell angezeigte Seite.
`void` | `stateChanged(ChangeEvent ce)` Diese Methode wird aufgerufen, wenn durch den Slieder in der Oberflaeche der Zoomfaktor geaendert wird.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### book

    protected Book book

  Das von dieser Vorschau angezeigte Buch.

### akt_seite

    protected int akt_seite

  Die Seitenzahl der aktuell angezeigten Seite.

### anz_seiten

    protected int anz_seiten

  Die Anzahl Seiten im uebergebenen Buch.

### printObject

    protected PrintObject printObject

  Die zu druckende Seite aus dem Book-Objekt.

Constructor Detail

### Vorschau

    public Vorschau()

  Erzeugt eine neue Vorschau. Diese enthaelt eine Buttonleiste zum Navigieren durch das angezeigte Buch sowie zur Auswahl de Druckers und zum Einstellen der Seiteneigenschaften.

Method Detail

### initGui

    protected void initGui()

  Legt die Oberflaeche fuer die Vorschau an. Diese Methode wird aus dem Konstruktor heraus aufgerufen. Darauf sollten Klassen achten, die von dieser KLasse erben und diese Methode ueberschreiben. Sie wird vor dem Konstruktor der abgeleiteten Klasse aufgerufen.

### setBook

    public void setBook(Book book)

  Setzt das Buch, dessen Inhalt durch die Vorschau angezeigt werden soll. Das Buch darf nur Seitenobjekte vom Typ `PrintObject` enthalten. Die in der Vorschau gehaltene aktuelle Seite wird auf `NULL` gesetzt und die beiden Zaehler fuer die aktuelle Seite und die Anzahl Seiten auf 0. Das uebergebene Buch darf nicht `NULL` sein.

  Parameters:
    `book` - Das Buch mit den Seiten die in der Vorschau angezeigt werden sollen.

### initBook

    protected void initBook()

  Holt die erste Seite aus dem Buch heraus und packt sie in die ScrollPane der Vorschau. Dabei wird die Seite mit dem Zoomfaktor 100 angezeigt, d.h. in Echtgroesse.

### aktualisiereSeite

    protected void aktualisiereSeite()

  Bringt die aktuelle Seite in die Ansicht der Vorschau. Die aktuelle Seite kann durch die Navigationsbuttons geaendert werden.

  See Also:
    `akt_seite`

### actionPerformed

    public void actionPerformed(ActionEvent ae)

  Wird aufgerufen wenn einer der Buttons aus der Navigationsleiste aufgerufen wird. Hier werden dann die entsprechenden Aktionen aufgerufen wie Drucken oder die angezeigte Seite wechseln.

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Parameters:
    `ae` - Das ausgeloeste ActionEvent.

### showPageLayoutDialog

    protected void showPageLayoutDialog()

  Zeigt den Druckerdialog für die Seiteneigenschaften an und ändert die Einstellungen für die aktuell angezeigte Seite.

### stateChanged

    public void stateChanged(ChangeEvent ce)

  Diese Methode wird aufgerufen, wenn durch den Slieder in der Oberflaeche der Zoomfaktor geaendert wird. Die Ansicht der aktuellen Seite wird angepasst.

  Specified by:
    `stateChanged` in interface `ChangeListener`
  Parameters:
    `ce` - Das ausgeloeste ChangeEvent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD